
Katello - Bug #7527

Don't require less-rails in production runtime

09/18/2014 10:30 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/467
Description

Less rails uses js runtime, which requires execmem kernel feature, that is selinux

disabled by default (for good reasons).

As we compile the assets in build time anyway, no need to require the files

in production.

Associated revisions

Revision 220c4be7 - 09/19/2014 04:45 AM - Ivan Necas

Fixes #7527 - don't require less in production unless from rake

Revision 00750972 - 09/19/2014 10:47 AM - Ivan Necas

Merge pull request #4673 from iNecas/issue/7527

Fixes #7527 - don't require less in production unless from rake

History

#1 - 09/18/2014 10:51 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/katello/pull/4673 added

- Pull request deleted ()

#2 - 09/18/2014 10:56 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 09/19/2014 08:02 AM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

#4 - 09/19/2014 11:01 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|220c4be758085dad02a1e1e17dd89b33c54563e5.
